#include <alloc.h>

struct tipocelda {
	char s,e;
	char visitada;
	struct tipocelda *sig;
};

struct tipopila {
	char i,j;
	struct tipopila *sig;
};


typedef struct tipocelda *laberinto;
typedef struct tipopila *pila;

//Funciones para meter y sacar elementos de la pila.
int Meter(int i,int j, pila *p);
int Sacar(int *i, int *j, pila *p);

/* Inicializa el laberinto, devuelve -1 si no hay memoria disponible */
int Inicializar_laberinto(int i,int j,laberinto *lab);

/* Destruye el laberinto, libera la memoria */
void Destruir_laberinto(laberinto *lab);

/* Devuelve un puntero a un elemento del laberinto,
   devuelve NULL si ha habido error */
struct tipocelda Devuelve_elemento(int i,int j,laberinto lab,int sizex, int sizey);

/* Modifica datos de un elemento del laberinto,
   devuelve -1 si ha habido error  */
int Modificar_elemento(int i,int j, int sizex, int sizey, laberinto *lab, int s, int e, int visitada);


