#include "raton.h"

//Inicializa el raton
int inicializaraton (void) {

  struct wordregs {
    unsigned int ax,bx,cx,dx,si,di,cflag,flags;
  };
  struct byteregs {
    unsigned char al,ah,bl,bh,cl,ch,dl,dh;
  };
  union REGS {
    struct wordregs x;
    struct byteregs h;
  } r;


  r.x.ax=0;        		 /*para comprobar si tiene ratn*/
  int86(0x33,&r,&r);
  if (r.x.ax==0) return -1;	/*raton no conectado*/
  else {

    r.x.ax=1;      		/*ver el cursor del ratn*/
    int86(0x33,&r,&r);
    r.x.ax=4;      		/*posiciono el ratn*/
    r.x.cx=320;    		/*columna*/
    r.x.dx=240;    		/*fila*/
    int86(0x33,&r,&r);

    return 0;
  }

}

//actualiza las variables del raton, con el estado actual
void raton ( int *x, int *y, int *izq, int *der) {
  struct wordregs {
    unsigned int ax,bx,cx,dx,si,di,cflag,flags;
  };
  struct byteregs {
    unsigned char al,ah,bl,bh,cl,ch,dl,dh;
  };
  union regs {
    struct wordregs x;
    struct byteregs h;
  };
  union regs re;

  re.x.ax=3;
  int86(0x33,&re,&re);
  *x=re.x.cx;
  *y=re.x.dx;
  *izq=(re.x.bx==1);
  *der=(re.x.bx==2);
}

